# Generated by Django 2.1.3 on 2018-12-08 19:27

from django.db import migrations, models
import django.db.models.deletion
import finanztool.core.models.invoice


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0023_auto_20181208_2011'),
    ]

    operations = [
        migrations.CreateModel(
            name='IssuedInvoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('internal_invoice_number', models.CharField(max_length=255, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('accounting_office', models.CharField(max_length=255)),
                ('reception_date', models.DateField()),
                ('booking_date', models.DateField(blank=True, null=True)),
                ('fi_number', models.CharField(blank=True, max_length=255)),
                ('reason', models.TextField(blank=True)),
                ('signer', models.CharField(blank=True, max_length=255)),
                ('invoice_file', models.FileField(blank=True)),
                ('generated_file', models.FileField(blank=True)),
                ('bkz', models.CharField(max_length=255, unique=True)),
                ('general_ledger_account', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.GeneralLedgerAccount')),
                ('recipient', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Recipient')),
                ('requester', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Requester')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
